Package com.independentsoft.office.odf.styles

# Enum Class Calendar

java.lang.Object
java.lang.Enum<Calendar>
com.independentsoft.office.odf.styles.Calendar

All Implemented Interfaces:
  `Serializable`, `Comparable<Calendar>`, `Constable`

public enum Calendar extends Enum<Calendar>
Represents the calendar system used to extract parts of a date.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUDDHIST`
  Buddhist calendar, identical to Gregorian calendar but offset by -543 years.
  `GENGOU`
  Japanese Gengou calendar, Emperor eras.
  `GREGORIAN`
  Gregorian calendar with cut-off date 1582-10-04, 1582-10-15 following.
  `HANJA`
  Additional Gregorian calendar in Korean locales, uses differently localized day and month names.
  `HANJA_YOIL`
  Legacy alias for hanja.
  `HIJRI`
  Islamic Hijri lunar calendar (religious, non-civil).
  `JEWISH`
  Jewish lunisolar calendar.
  `NONE`
  None
  `ROC`
  Taiwanese Minguo calendar, identical to Gregorian calendar offset by -1911 years.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Calendar`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static Calendar[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GREGORIAN

    public static final Calendar GREGORIAN
    Gregorian calendar with cut-off date 1582-10-04, 1582-10-15 following. Dates before cut-off date are calculated in Julian proleptic calendar [ISO8601].

  - ### GENGOU

    public static final Calendar GENGOU
    Japanese Gengou calendar, Emperor eras. Identical to Gregorian calendar but with different eras for each emperor. Consumers may implement only the modern eras starting 1868, Meiji, Taisho, Showa and Heisei. Earlier dates are then displayed using the Gregorian calendar [JIS X 0301].

  - ### ROC

    public static final Calendar ROC
    Taiwanese Minguo calendar, identical to Gregorian calendar offset by -1911 years.

  - ### HANJA_YOIL

    public static final Calendar HANJA_YOIL
    Legacy alias for hanja.

  - ### HANJA

    public static final Calendar HANJA
    Additional Gregorian calendar in Korean locales, uses differently localized day and month names.

  - ### HIJRI

    public static final Calendar HIJRI
    Islamic Hijri lunar calendar (religious, non-civil).

  - ### JEWISH

    public static final Calendar JEWISH
    Jewish lunisolar calendar.

  - ### BUDDHIST

    public static final Calendar BUDDHIST
    Buddhist calendar, identical to Gregorian calendar but offset by -543 years.

  - ### NONE

    public static final Calendar NONE
    None

- ## Method Details

  - ### values

    public static Calendar[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Calendar valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null